# Configuration Parameters

#### ZebecCardService

To create an instance of `ZebecCardService`, you need:

* **signer**: An instance of `ethers.Signer`.
* **chainId**: The ID of the blockchain (see list of supported chains below).
* **apiConfig**: Object containing `apiKey` and `encryptionKey`.
* **sdkConfig (optional)**: SDK-specific settings, such as:
  * `sandbox`: Boolean, set to `true` for testnets.

#### ZebecCardTAOService

To create an instance of `ZebecCardTAOService`, you need:

* **signer**: An instance of `Keyring` or `Signer`.
* **apiConfig**: Object containing `apiKey` and `encryptionKey`.
* **sdkConfig (optional)**: SDK-specific settings, such as:
  * `sandbox`: Boolean, set to `true` for testnets.

#### EVM Supported Chains

| Chain               | Chain ID                        |
| ------------------- | ------------------------------- |
| Ethereum            | Mainnet (1), Sepolia (11155111) |
| Binance Smart Chain | Mainnet (56), Testnet (97)      |
| Base                | Mainnet (8453)                  |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.zebec.io/zebec-silver-card/silver-card-sdk/configuration-parameters.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
